'_________________________________________________________________________________________

'                                                   D E C L A R E S   . V B

'                                                       Created 11/02/08

'                                                          Ron Kessler

'_________________________________________________________________________________________
'updated 11/02/08

'Notes: Be sure to use the imports statement to include this class where you are using these objects. In
'           my case, it is in the MYADO.VB class.

'        I declared the items as Shared so you do not need to instantiate an object in order to use them.
'        This class could be added to my future projects and save me time. Be sure to change the connection
'        string to suit your needs. Mine is saved in the app.config file.
'        Also change the sqlString to fit your database


Option Strict On
Option Explicit On

Imports System.Data
Imports System.Data.SqlClient


''' <summary>
''' Declares the ADO objects so they can be shared across the application.
''' </summary>
''' <remarks></remarks>


Public Class Declares

    Friend Shared myDataSet As New DataSet    'this is the only dataset I use in this app

    '---connection string is saved in the app.config file using the name you see in the next line
    Friend Shared connString As String = My.Settings.customers_05
    Friend Shared Conn As New SqlConnection(connString)
    Friend Shared dataAdapter As New SqlDataAdapter(SQLString, Conn)

    '---local variables for properties
    Private Shared _MSG_TITLE As String = "Laguna Cycle Works"       'used in all the message boxes
    Private Shared _currentCustomerID As Integer
    Private Shared _sqlString As String = "SELECT * from Customers ORDER BY Name"

#Region "Properties"
    '---this is used for all messagebox titles
    Friend Shared ReadOnly Property MsgBoxTitle() As String
        Get
            Return _MSG_TITLE
        End Get
    End Property


    '---I use this to pass the sql strings between classes
    Friend Shared Property SQLString() As String
        Get
            Return _sqlString
        End Get
        Set(ByVal value As String)
            _sqlString = value
        End Set
    End Property


    '---this holds the custID they selected in the combo box
    Friend Shared Property CurrentCustomerRecord() As Integer
        Get
            Return _currentCustomerID
        End Get
        Set(ByVal value As Integer)
            _currentCustomerID = value
        End Set
    End Property

#End Region
End Class
