'______________________________________________________________________________

'                                                  M Y A D O   CLASS

'                                                    Created 1/15/07
'                                                       Ron Kessler
'______________________________________________________________________________

'updated 11/2/08


Option Strict On
Option Explicit On

Imports System.Data
Imports System.Data.SqlClient


''' <summary>
''' This class handles my ADO actions. It connects to the DB, inserts/updates/deletes records.
''' </summary>
''' <remarks>Created 1/15/07 by Ron Kessler</remarks>



Public Class MYADO

#Region "Fill the DataSet"

    Friend Shared Function FillDataSet() As Boolean

        '---fill the dataset with customer names in Customers table
        Try

            Declares.dataAdapter = New SqlDataAdapter(Declares.SQLString, Declares.Conn)

            Declares.myDataSet.Clear()                           'start fresh
            Declares.dataAdapter.Fill(Declares.myDataSet, "customers")
            Return True

        Catch ex As Exception
            MessageBox.Show("I could not fill read the list of customers..." & Err.Description, Declares.MsgBoxTitle, _
                 MessageBoxButtons.OK, MessageBoxIcon.Error)
            Return False
        End Try


    End Function

#End Region

#Region "Select Customer"
    Friend Shared Function SelectCustomer() As Boolean
        Try

            '---build the query string using the SelectedValue (which is the CustID) for the item chosen in the combo box
            Declares.SQLString = "Select * From Customers Where Customers.CustID =  " & Declares.CurrentCustomerRecord & " "

            Declares.dataAdapter.SelectCommand.CommandText = Declares.SQLString

            '---if this is the first time through, the table = nothing so we get an error
            If Not Declares.myDataSet.Tables("selected") Is Nothing Then
                Declares.myDataSet.Tables("selected").Clear()
            End If

            Declares.dataAdapter.Fill(Declares.myDataSet, "selected")                   'make it so!
            Return True

        Catch ex As Exception
            MessageBox.Show("I could not display the selected cutomer..." & Err.Description, Declares.MsgBoxTitle, _
                 MessageBoxButtons.OK, MessageBoxIcon.Error)
            Return False
        End Try
    End Function

#End Region

#Region "Show Customer Purchases"
    Friend Shared Function ShowCustPurchases() As Boolean

        Try

            '---build the query string using the SelectedValue (which is the CustID) for the item chosen in the combo box
            Declares.SQLString = "Select * From Orders Where Orders.CustID = " & Declares.CurrentCustomerRecord & "  "


            '---if this is the first time through, the table = nothing so we get an error
            If Not Declares.myDataSet.Tables("orders") Is Nothing Then
                Declares.myDataSet.Tables("orders").Clear()
            End If

            Declares.dataAdapter.SelectCommand.CommandText = Declares.SQLString


            Declares.dataAdapter.Fill(Declares.myDataSet, "orders")
            Return True

        Catch ex As Exception
            MessageBox.Show("I could not display the orders for this customer..." & Err.Description, Declares.MsgBoxTitle, _
                 MessageBoxButtons.OK, MessageBoxIcon.Error)
            Return False
        End Try

    End Function

#End Region

End Class
